Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZExample Class Reference

## Public Member Functions
| __construct ( $id=-1)
| get ( $id=-1)
& | getAll ()
| store ()
| delete ( $id)
| id ()
| text ()
| setText ( $value)

## Public Attributes
| $ID
| $Text
| $Created

## Detailed Description

Definition at line 31 of file ezexample.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZExample::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZExample object

Definition at line 36 of file ezexample.php.

References $id, and $ID.

## Member Function Documentation

## ◆ delete()

eZExample::delete | ( |  | $id | ) |

Deletes a Text from the database.

Definition at line 141 of file ezexample.php.

References $db, $id, $ret, and eZDB\globalDatabase().

## ◆ get()

eZExample::get | ( |  | $id = `-1` | ) |

Fetches the Text from the database.

Definition at line 48 of file ezexample.php.

References $db, $id, $ret, and eZDB\globalDatabase().

## ◆ getAll()

& eZExample::getAll | ( |  | ) |

Retrieves all Text fields from the database.

Definition at line 74 of file ezexample.php.

References $db, $i, $url_array, and eZDB\globalDatabase().

## ◆ id()

eZExample::id | ( |  | ) |

Returns the object ID to the option. This is the unique ID stored in the database.

Definition at line 163 of file ezexample.php.

References $ID.

## ◆ setText()

eZExample::setText | ( |  | $value | ) |

Sets the text in the database.

Definition at line 179 of file ezexample.php.

## ◆ store()

eZExample::store | ( |  | ) |

Stores/updates the Text.

Definition at line 95 of file ezexample.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ text()

eZExample::text | ( |  | ) |

Returns the Text From the database.

Definition at line 171 of file ezexample.php.

References $Text.

## Member Data Documentation

## ◆ $Created

eZExample::$Created

Definition at line 186 of file ezexample.php.

## ◆ $ID

eZExample::$ID

Definition at line 184 of file ezexample.php.

Referenced by __construct(), and id().

## ◆ $Text

eZExample::$Text

Definition at line 185 of file ezexample.php.

Referenced by text().

The documentation for this class was generated from the following file:

- ezexample.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.